Page MenuHomePhabricator

[compiler-rt] FuzzedDataProvider: Add PickValueInArray for std::array
ClosedPublic

Authored by MarcoFalke on Dec 16 2020, 11:09 AM.

Details

Summary

This makes PickValueInArray work for std::array<T, s> (C++11). I've also tested the C++17 std::array (with compiler-deduced template parameters)

Author:
MarcoFalke <falke.marco@gmail.com>

Diff Detail

Event Timeline

MarcoFalke created this revision.Dec 16 2020, 11:09 AM
MarcoFalke requested review of this revision.Dec 16 2020, 11:09 AM

Made unit test pass ๐Ÿ˜…

Dor1s accepted this revision.Dec 16 2020, 11:20 PM

Thanks for the patch. LGTM

Do you need help committing this?

This revision is now accepted and ready to land.Dec 16 2020, 11:20 PM
MarcoFalke added a comment.EditedDec 17 2020, 2:26 AM

Yes, please. I don't have commit right.

Edit: For author and email you can use:

Author: MarcoFalke <falke.marco@gmail.com>
MarcoFalke edited the summary of this revision. (Show Details)Dec 17 2020, 2:38 AM

@morehouse @metzman Matt and Jonathan, could any of you please commit this? I don't have a checkout handy plus haven't figured out my current CLA situation.

metzman added a subscriber: kcc.Dec 18 2020, 12:10 PM

@morehouse @metzman Matt and Jonathan, could any of you please commit this? I don't have a checkout handy plus haven't figured out my current CLA situation.

I can merge but I think @kcc likes it if someone from dynamic tools approves before I merge changes.

Herald added a project: Restricted Project. ยท View Herald TranscriptDec 30 2020, 10:17 AM
Herald added a subscriber: Restricted Project. ยท View Herald Transcript
This revision was landed with ongoing or failed builds.Dec 30 2020, 10:28 AM
This revision was automatically updated to reflect the committed changes.
Harbormaster completed remote builds in B83758: Diff 314133.